Question

Elementor Pro Template Kits Do Not Work


Userlevel 3
Badge +1

I have been trying to use/apply one of the new Kit Library Template Kits for nearly a week - with no success.

 

My Elementor/Elementor Pro plugins are up-to-date  . . . I access the Kit Library through my licensed/active site . . . I choose the kit I want/need (in this case, “Music Festival”) and click “Apply Kit”  . . .  

 

What I get is a “Something Went Wrong” message.   When I refresh and try again, I’m get a “Connect To Elementor Template Library” dialogue box.  (I’m already connected, but I click anyway).   I’m then met with “Your license has exceeded the limitation.”   

 

How can my license have exceeded it’s limitation when I’m trying to access the kit via my active/licensed install?  

 

Elementor “Customer Support” has been no help whatsoever.  I’ve tried for days and days to get assistance - and all I’m consistently given are cut-and-paste template responses with no follow-up and no viable solutions.  I’ve even asked it the one Tempalte Kit I need can be forwarded to me in a zip file (while we wait for Elementor’s Developers to get around to fixing this issue).  Once again, I’m met with stone cold silence.

 

So very disappointed in this situation.  :disappointed:


27 replies

Hi! I would love to hear a solution to this as I am having the very same issue… Library kits were one of the main reasons for us to switch to Pro. With them not working we might just go back to buying a pre-built theme once in a while… 

Userlevel 1

I’ve commented on this on a different thread but similar experience with Pro template kits.  I expect it is because it is likely still in beta.  Looking forward to when it’s sorted :wink:

Word of warning! 

I have followed their step by step guide to fix this and I’m now unable to use ‘Pro’ 

see: How To Fix: Common Errors With Kit Library | Elementor

I have submitted a ticket re this message I know get: 
“Please upgrade your license, or switch to a different user with a valid license.”

 

 

Update: 

I resolved this by unlinking the the account and checking my login email to wp-admin was the same as the one I have registered with Elementor. 

Do check this and ensure they are the same. 
I use my professional email as part of my profile in wp-admin and had my personal one registered here. 
There was clearly a clash and changing either to match sorted it for me. :) 

Same here - wish it would be addressed

Update: 

I resolved this by unlinking the the account and checking my login email to wp-admin was the same as the one I have registered with Elementor. 

Do check this and ensure they are the same. 
I use my professional email as part of my profile in wp-admin and had my personal one registered here. 
There was clearly a clash and changing either to match sorted it for me. :) 

This did not work for me. I even did a clean WP installation, installed Hello theme, then Elementor plugin, then the Pro plugin "elementor-pro-3.3.1.zip", loaded the Kit Library, chose the one I want to apply, click Apply and I still receive the "Something Went Wrong" message.

Userlevel 2
Badge +1

@jorgeivan 

 

What about trying the following steps:

  1. unlinking your account from within WordPress;
  2. deleting Elementor Pro plugin;
  3. deactivating your website from the my.elementor.com / connected websites page (to ensure that your site is truly “deactivated”, I presume that unlinking your account within WordPress would do this, but not sure); and,
  4. install and activate the Elementor Pro plugin 

I have not had any trouble of this sort with any of my 100+ websites so I cannot confirm that the above solved the issue for me. But, I am certain that the above would give you a fresh start.

Let me know, if you try it and it it works for you. 

Userlevel 2
Badge +1

@BillyBatson   

 

I would think that your limitation error means that you have too many installations according to Elementor. To check this go to my.elementor.com and check if this is the case, and even if it is not, maybe deactivate the site that is giving you the trouble. Then reinstall the Elementor Pro plugin and see what happens. 

As I mentioned in a comment to another in this thread, I personally have not experienced this in any of the 100+ websites that I maintain. So, I cannot confirm with certainty that my suggestion is indeed a solution. But, checking the my.elementor.com page will ensure you have not exceeded your subscription’s installation limit; and, deactivating from that site reinstalling it from within WordPress will give you a fresh start. 

If you try my suggestion, please let me know the outcome. Thanks in advance. 

@jorgeivan 

 

What about trying the following steps:

  1. unlinking your account from within WordPress;
  2. deleting Elementor Pro plugin;
  3. deactivating your website from the my.elementor.com / connected websites page (to ensure that your site is truly “deactivated”, I presume that unlinking your account within WordPress would do this, but not sure); and,
  4. install and activate the Elementor Pro plugin 

I have not had any trouble of this sort with any of my 100+ websites so I cannot confirm that the above solved the issue for me. But, I am certain that the above would give you a fresh start.

Let me know, if you try it and it it works for you. 

Did it step by step and it did not work.

I'm seeing more and more replies with people becoming aware of this issue and one person even said they got a response from Support acknowledging that there is a technical issue, the response was: 

“I looked into it, and it seems that we're experiencing a technical issue which is the source of the problem. I truly apologize for the inconvenience and I assure you that our developers are working as we speak to get to the bottom of it.

An agent will update you by email as soon as this issue is resolved.”

I found out in the Meet Ups section that on august 5th, Elmentor's having an event "All you need to know about the new kit library": https://events.elementor.com/events/details/elementor-community-x-hq-presents-all-you-need-to-know-about-the-new-kit-library/

Every one of us having this issue should connect to the event to let them know it is not working properly and pressure them to fix it ASAP.

This problem has been going on for 10 days. I have expert accounts, this problem occurs every day on multiple sites. This problem should be fixed urgently with a new update.

It looks like with version 3.3.5 this problem is finally fixed. I'm not having any more issues with importing themes from the Library kit, however there are functionalities, like pop menus that don't work straight from the importation but that is way more manageable to fix.

 

 

I had the same issue was unable to use any template kit. It is because of the server host, my friend setup the host by blue host and it was working on his, but for anyone who is using the GoDaddy basic server package, it will not work, so u have to either upgrade to a deluxe host package or dedicated WordPress package for more 30 bugs, the GoDaddy basic page package server have less CPU power and elementor need more CPU power. 
Changing to a dedicated WordPress server from GoDaddy resolved my problem. 

This has been an issue for me with elementor for the past 5 years.  Always broken.  I hate to say it because I love most of their platform.  It drove me away because I was delaying all my projects. I use Divi for most things as they have improved tremendously.

 

Badge

I thought I was the only one with this kind of problem, I really couldn't understand this kind of thing, it delayed my work, I thought the authorities were forcing us to buy their products with higher prices

Badge

Same here, issues with the Pro kits and tech support abandoned me and sent me to the community.

Badge

I had the same problem. When I reconfigured the PHP version from 8.0 to 7.4 it worked without problems!

Badge

Does anybody else have any other options to try? I am on the Ultimate hosting for GoDaddy (but I have other websites on here), and I am on PHP version 7.4.

 

Here is what I found on one of their other pages… If unable to apply the kit, verify that ZIPArchive has been installed on your server. You may do this by navigating to Elementor > System Info and locating the following information. If this is set to No, you will need to change the settings in your cPanel or contact your host to have this enabled.

 

Anybody know how to change this?!

 

link: https://elementor.com/help/how-to-fix-common-errors-with-kit-library/

Badge

Update - if you have GoDaddy, i figured out how to fix this… go into PHP selector and you will see a whole bunch of things with/without check marks. Make sure zip is checked off at the bottom. 

 

Such an easy fix that took me a day to figure out. Wish they had this info clearer and more accessible instead of having to dig for it. 

 

Just tried it and I was able to apply an entire kit template.

I am also trying to figure this one out.

I am with GoDaddy.

I have tried changing php version back to 7.4 from 8 - Not working

I have tried changing upload size - Not working

I checked to make sure Zip is checked in setting - It is

As soon as I click on Apply Kit is goes immediately to a popup stating “Something went wrong”. Doesn’t even try.

Userlevel 1

I finally got one to load but all the widgets were missing, It’s rediculas and they should not even make it available. Users who wouldn’t know anything about Elementor history would surely screw up a website, Ones the global settings take over you’re screwed because you cant switch back without having to do a site reset...unbelievable. Let alone if you dare try to switch to another kit, then it duplicates all the pages...its a total mess

Userlevel 1

Same here, issues with the Pro kits and tech support abandoned me and sent me to the community.

Support has really failed the pro users ever since they added the new tier. 4 years ago support was great but now its all about the money.

Badge

It looks like the kits are not working with php 8. I just downgrade (switch because I have both PHP 7 and 8 at my server) and everything is working. 

Userlevel 1

I finally did get a solution to at least what my situation was. Even after doing all the routine troubleshooting and still had no results the Elementor team did find that after deactivating all the plugins except for the Elementor and the Pro the template kits loaded completely. Really strange that it didn’t work when I did the same thing. 

Userlevel 1

It looks like the kits are not working with php 8. I just downgrade (switch because I have both PHP 7 and 8 at my server) and everything is working. 

I usually dont upgrade to the newest release of PHP for at least 3 months just because of the fact that many plugin developers have not updated their own products to the newset versions.

Badge

It is a server error. I copied my website to another server - dedicated and worked. Cannot understand the difference in settings..

Reply